summaryrefslogtreecommitdiffstats
path: root/debian/apache2-suexec.postinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/apache2-suexec.postinst.in')
-rwxr-xr-xdebian/apache2-suexec.postinst.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/apache2-suexec.postinst.in b/debian/apache2-suexec.postinst.in
new file mode 100755
index 0000000..fd3f0af
--- /dev/null
+++ b/debian/apache2-suexec.postinst.in
@@ -0,0 +1,26 @@
+#! /bin/sh
+# postinst script for apache2-suexec-__TYPE__
+
+set -e
+
+case "$1" in
+
+configure)
+ update-alternatives --install /usr/lib/apache2/suexec suexec /usr/lib/apache2/suexec-__TYPE__ 10 \
+ --slave /usr/share/man/man8/suexec.8.gz suexec.8.gz /usr/share/man/man8/suexec-__TYPE__.8.gz
+ ;;
+abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+*)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0